【MineCraft Forge】前バージョンを使うには?

シングル/マルチ含め、ゲームプレイに関する質問ができます
フォーラムルール
質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。
viewtopic.php?f=5&t=999
  • (PostNo.203305)

【MineCraft Forge】前バージョンを使うには?

投稿記事by 吉野博幸 » 2014年11月14日(金) 20:16

初めまして、フォーラムへの参加はこれが初めてとなります。
マインクラフトを始めたのはいいのですが、
「1.7.2」のForgeをインストールした際に
ほしいMODのバージョンが「1.6.2」と前バージョンだったため
どうしても「1.6.2」にしようと1.6.2を導入しても
結局クラッシュが起きて起動できませんでした。
一体どうしたら前バージョンのForgeで起動できるようになりますか?
誰かやり方を知っていたら教えて下さい。お願いします。
吉野博幸
ID:1486dbdb
 

  • (PostNo.203307)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by Guest » 2014年11月14日(金) 20:22

吉野博幸 さんが書きました:

簡潔に言うと、それは不可能です。
何故かというと、1.7.2と1.6.2のものでは全くMOD内の環境が違うからです。
(例えばItemID,BlockIDが消去されていたり、ソース内の内容も違ったり)
1.6.2は大半のMODが1.6.4と互換性がありますが、1.6.xと1.7.xのバージョンがまず違うのは貴方も分かりますよね?
質問をする方々へ
少なくとも、まず質問する前に他に同例のエラーが報告されてないかなどを調べましょう。
報告がない場合は質問しても構いませんが、こちらをしっかりと読み質問をして下さい。
クラッシュする際には、最低限導入MOD(MOD導入時),PCスペックをバージョンも含めてお書きください。
Guest
ID:2db06451
レッドストーン掘り
 
記事: 557
登録日時: 2014年7月12日(土) 19:33

  • (PostNo.203314)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by 吉野博幸 » 2014年11月14日(金) 20:38

>>Guestさん
ええ!?それ本当なんですか!?
…では結局諦めろってことですね…
なぜあの時1.7.2をインストールしちゃったんでしょう…
やはり一旦マインクラフトをアンインストールすべきでしょうか…
吉野博幸
ID:1486dbdb
 

  • (PostNo.203318)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by elise_blacklab » 2014年11月14日(金) 20:41

吉野博幸 さんが書きました:一体どうしたら前バージョンのForgeで起動できるようになりますか?

Guest さんが書きました:簡潔に言うと、それは不可能です。
何故かというと、1.7.2と1.6.2のものでは全くMOD内の環境が違うからです。
(例えばItemID,BlockIDが消去されていたり、ソース内の内容も違ったり)
1.6.2は大半のMODが1.6.4と互換性がありますが、1.6.xと1.7.xのバージョンがまず違うのは貴方も分かりますよね?


イマイチ質問と回答が噛み合ってない気がしてならないんですが…
つまり、質問者さんは前バージョンに対応するMODを新バージョンで使いたいのか前バージョンのForgeを起動したいのかどっちなんでしょ。
無論ですが、MC1.7.2に1.6.4用Forgeを入れたりだとかはできませんのでこのどちらかに絞ってください。。
メイドつくってたりします.http://6docvc.net/
アバター
elise_blacklab
ID:ea3f3f08
掘り廃人
 
記事: 2562
登録日時: 2014年6月25日(水) 18:30

  • (PostNo.203321)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by ブリアレオス » 2014年11月14日(金) 20:44

はじめまして。
1.6.2用Forgeを導入後、新規Profileを作成してUse Versionsに導入した1.6.2用Forgeを選択するだけです。
ありがちなミスとして、ProfileのGame Directoryを変更していない為に1.7.2用MODと1.6.2用MODが混在している事が考えられます。
上記を確認しても問題が見られなかった場合、クラッシュレポートを記載して下さい。

それと、今後もこのフォーラムを利用するのであれば、下記トピックには目を通しておいて下さい。
【必読】質問の仕方について
viewtopic.php?f=5&t=999
 ■■ 投稿する前に ■■
  フォーラムルール
  質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。

  【必読】質問の仕方について
  viewtopic.php?f=5&t=999
ブリアレオス
ID:9bfe9c7d
掘り廃人
 
記事: 2513
登録日時: 2013年5月29日(水) 17:48

  • (PostNo.203323)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by 吉野博幸さん » 2014年11月14日(金) 20:46

>>Eliseさん
そうなんです!私が言いたいのは
「前バージョンのForgeを起動したい」ことなんです!
前バージョンの使いたいのに結局クラッシュして遊べなくて…
私本当に悔しいです!

あと ブリアレオスさん有難うございます!ちょっと試してみますね!
吉野博幸さん
ID:1486dbdb
 

  • (PostNo.203326)

【MineCraft Forge】前バージョンを使うには?:クラッシュレポート

投稿記事by 吉野博幸 » 2014年11月14日(金) 20:51

なんか試してみたけどクラッシュしました。これがそのクラッシュレポートです。

11 14, 2014 8:49:29 午後 net.minecraft.launchwrapper.LogWrapper log
情報: Using tweak class name cpw.mods.fml.common.launcher.FMLTweaker
2014-11-14 20:49:29 [情報] [ForgeModLoader] Forge Mod Loader version 6.2.62.871 for Minecraft 1.6.2 loading
2014-11-14 20:49:29 [情報] [ForgeModLoader] Java is Java HotSpot(TM) Client VM, version 1.7.0_71, running on Windows 8.1:x86:6.3, installed at C:\Program Files (x86)\Java\jre7
2014-11-14 20:49:30 [警告] [ForgeModLoader] The coremod openeye.CorePlugin does not have a MCVersion annotation, it may cause issues with this version of Minecraft
2014-11-14 20:49:30 [情報] [ForgeModLoader] Loading tweaker optifine.OptiFineForgeTweaker from OptiFine_1.7.2_HD_U_C2.jar
2014-11-14 20:49:30 [重大] [ForgeModLoader] The coremod api.player.forge.PlayerAPIPlugin is requesting minecraft version 1.7.2 and minecraft is 1.6.2. It will be ignored.
2014-11-14 20:49:30 [情報] [STDOUT] OptiFineForgeTweaker: acceptOptions
2014-11-14 20:49:30 [情報] [STDOUT] OptiFineForgeTweaker: injectIntoClassLoader
2014-11-14 20:49:30 [情報] [STDOUT] OptiFine ClassTransformer
2014-11-14 20:49:30 [情報] [STDOUT] OptiFine URL: file:/C:/Users/宏明/AppData/Roaming/.minecraft/mods/OptiFine_1.7.2_HD_U_C2.jar
2014-11-14 20:49:30 [情報] [STDOUT] OptiFine ZIP file: java.util.zip.ZipFile@c07f58
2014-11-14 20:49:30 [情報] [STDOUT] Loaded 39 rules from AccessTransformer config file fml_at.cfg
2014-11-14 20:49:30 [情報] [STDOUT] Loaded 107 rules from AccessTransformer config file forge_at.cfg
2014-11-14 20:49:30 [情報] [STDERR] Exception in thread "main" java.lang.NoSuchFieldError: blackboard
2014-11-14 20:49:30 [情報] [STDERR] at openeye.asm.VisitorHelper.useSrgNames(VisitorHelper.java:32)
2014-11-14 20:49:30 [情報] [STDERR] at openeye.asm.injectors.Injectors.getClassName(Injectors.java:29)
2014-11-14 20:49:30 [情報] [STDERR] at openeye.asm.injectors.Injectors.setupInjectors(Injectors.java:33)
2014-11-14 20:49:30 [情報] [STDERR] at openeye.asm.MultiTransformer.<init>(MultiTransformer.java:21)
2014-11-14 20:49:30 [情報] [STDERR] at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
2014-11-14 20:49:30 [情報] [STDERR] at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
2014-11-14 20:49:30 [情報] [STDERR] at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
2014-11-14 20:49:30 [情報] [STDERR] at java.lang.reflect.Constructor.newInstance(Unknown Source)
2014-11-14 20:49:30 [情報] [STDERR] at java.lang.Class.newInstance(Unknown Source)
2014-11-14 20:49:30 [情報] [STDERR] at net.minecraft.launchwrapper.LaunchClassLoader.registerTransformer(LaunchClassLoader.java:81)
2014-11-14 20:49:30 [情報] [STDERR] at cpw.mods.fml.relauncher.CoreModManager.injectTransformers(CoreModManager.java:402)
2014-11-14 20:49:30 [情報] [STDERR] at cpw.mods.fml.relauncher.FMLLaunchHandler.injectPostfixTransformers(FMLLaunchHandler.java:108)
2014-11-14 20:49:30 [情報] [STDERR] at cpw.mods.fml.relauncher.FMLLaunchHandler.appendCoreMods(FMLLaunchHandler.java:113)
2014-11-14 20:49:30 [情報] [STDERR] at cpw.mods.fml.common.launcher.FMLTweaker.injectIntoClassLoader(FMLTweaker.java:80)
2014-11-14 20:49:30 [情報] [STDERR] at net.minecraft.launchwrapper.Launch.launch(Launch.java:51)
2014-11-14 20:49:30 [情報] [STDERR] at net.minecraft.launchwrapper.Launch.main(Launch.java:18)
吉野博幸
ID:1486dbdb
 

  • (PostNo.203329)

Re: 【MineCraft Forge】前バージョンを使うには?:クラッシュレポート

投稿記事by Guest » 2014年11月14日(金) 20:54

吉野博幸 さんが書きました:

あっはい…
ただ単に1.6.2に1.7.2用のOptifineを入れているだけだからと思われますがね…。

それと、先の意見は私の食い違いでした。申し訳ございません。
質問をする方々へ
少なくとも、まず質問する前に他に同例のエラーが報告されてないかなどを調べましょう。
報告がない場合は質問しても構いませんが、こちらをしっかりと読み質問をして下さい。
クラッシュする際には、最低限導入MOD(MOD導入時),PCスペックをバージョンも含めてお書きください。
Guest
ID:2db06451
レッドストーン掘り
 
記事: 557
登録日時: 2014年7月12日(土) 19:33

  • (PostNo.203330)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by 吉野博幸 » 2014年11月14日(金) 20:56

>>Guestさん
いえいえ、困ったときはお互い様ですし、
なんとか解決できればこちらも幸いだと思います。
吉野博幸
ID:1486dbdb
 

  • (PostNo.203334)

Re: 【MineCraft Forge】前バージョンを使うには?:クラッシュレポート

投稿記事by 吉野博幸 » 2014年11月14日(金) 21:04

アカン…やっぱり試したけどクラッシュした…

---- Minecraft Crash Report ----
// Why is it breaking :(

Time: 14/11/14 21:02
Description: FML will not run in demo mode

java.lang.RuntimeException
at cpw.mods.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:159)
at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:471)
at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:806)
at net.minecraft.client.main.Main.main(SourceFile:101)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at net.minecraft.launchwrapper.Launch.launch(Launch.java:57)
at net.minecraft.launchwrapper.Launch.main(Launch.java:18)


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
Minecraft Version: 1.6.2
Operating System: Windows 8.1 (x86) version 6.3
Java Version: 1.7.0_71, Oracle Corporation
Java VM Version: Java HotSpot(TM) Client VM (mixed mode), Oracle Corporation
Memory: 65261496 bytes (62 MB) / 164069376 bytes (156 MB) up to 523501568 bytes (499 MB)
JVM Flags: 6 total; -XX:HeapDumpPath=MojangTricksIntelDriversForPerformance_javaw.exe_minecraft.exe.heapdump -Xmx512M -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
AABB Pool Size: 0 (0 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
Suspicious classes: FML and Forge are installed
IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
FML:
吉野博幸
ID:1486dbdb
 

  • (PostNo.203336)

Re: 【MineCraft Forge】前バージョンを使うには?:クラッシュレポート

投稿記事by ブリアレオス » 2014年11月14日(金) 21:07

Guest さんが書きました:ただ単に1.6.2に1.7.2用のOptifineを入れているだけだからと思われますがね…。
PlayerAPIも入っているようですよ?

吉野博幸 さんが書きました:Description: FML will not run in demo mode

ログインして下さい。
 ■■ 投稿する前に ■■
  フォーラムルール
  質問関連フォーラムで質問する時は、必ず次のトピックを一読/厳守お願い致します。

  【必読】質問の仕方について
  viewtopic.php?f=5&t=999
ブリアレオス
ID:9bfe9c7d
掘り廃人
 
記事: 2513
登録日時: 2013年5月29日(水) 17:48

  • (PostNo.203338)

Re: 【MineCraft Forge】前バージョンを使うには?

投稿記事by 吉野博幸 » 2014年11月14日(金) 21:14

>>ブリアレオスさん
わかりました。ログインしてみたら無事に解決しました。
皆様ご協力ありがとうございました。
これからも困ったときはこのフォーラム利用しますので
その際はよろしくお願いします。
吉野博幸
ID:1486dbdb
 


Return to 質問:プレイ全般

x